// This file is an example of how one would write the initial
// frame of the animation. This file would be read by POVAnim and
// be output in a file similiar to animtest.pov.
// Please note that there is a limit of 2 billion objects that you can
// put in a scene and you can only move those 2 billion objects to
// 2 billion different key values. Keep this in mind when designing
// your animation. You can make the variable names anything you want.
// I have support for separate floating point numbers also just
// haven't been able to test it good yet. BTW I just noticed that
// you can't add comments after a declare statement. I will fix
// this as it will be quick.
// Timothy A. Grubb

#include "colors.inc"
#include "textures.inc"

#declare SPHERE1_TRANS = <0,0,0>  
				// to move the sphere object
#declare SPHERE1_ROTATE = <0,0,0> 
				// to rotate the sphere
#declare CAM_ROTATE = <0,0,0>     
				// to rotate the camera
#declare CAM_TRANS = <0,0,-10>    
				// to move the camera
#declare PLANEY_ROTATE = <0,0,0>  
				// to rotate the y plane object (floor)

//#declare BITE_ME = 35.45678     // works but not released yet - testing
//#declare THE_STRING = "DUH?"    // works but not released yet - testing




// Begin Scene

camera { location <0,0,0>
         look_at <0,0,.1>
         rotate CAM_ROTATE
         translate CAM_TRANS
}


plane
{
  y, // <X Y Z> unit surface normal, vector points "away from surface"
  -1 // distance from the origin in the direction of the surface normal
  pigment { checker color Black color White }
  finish { Shiny }
  rotate PLANEY_ROTATE
}

light_source { <1,1,-2> color White }


sphere { <0,0,0>, 1
  pigment { color Yellow }
  rotate SPHERE1_ROTATE
  translate SPHERE1_TRANS
}
